ISTI OpenPortal Backup
Mar 28, 2018 11:30 AM - Michele Artini
Description

It is necessary to configure a backup strategy for openportal.isti.cnr.it.
In partcular, the following databases:

e MySQL (locale, db=puma_dev_joomla)
¢ Mongo (remote installation on node5.t.openaire.research-infrastructures.eu, db=mdstore_isti, coll=final_isti_store)

and the following folders:
¢ /var/www/openportal.isti.cnr.it
¢ /var/lib/dnet
¢ /var/lib/tomcat_dnet/8080/webapps

e /var/lib/tomcat_dnet/8080/common/classes

NB. The backup of MySQL database is a priority

History

#1 - Mar 28, 2018 11:35 AM - Pasquale Pagano

- Tracker changed from Support to Task

#2 - Jun 04, 2018 03:29 PM - Michele Artini

Consider that the entire installation should be moved from the development infrastructure to ISTI servers.
Consider also that we need to prepare other joomla servers, in particular for

1. OpenScience Portal
2. Recolecta Portal (BETA)

#3 - Jun 04, 2018 03:36 PM - Emma Lazzeri

Concerning the Open Science Portal, we already have a domain name registered: www.open-science.it

#4 - Jan 11, 2021 06:21 PM - Andrea Dell'Amico

@tommaso.piccioli@isti.cnr.it any news on this?

#5 - Jan 11, 2021 07:30 PM - Tommaso Piccioli

- Status changed from New to In Progress

There is a backup schedule in place since 2018 for portal-openportal.isti.cnr.it and for
backend-openportal.isti.cnr.it (which includes the mysql dump and the storage used by mongod on that server).

We currently have no space to manage a backup of the full mongo storage on node5.t.openaire.research-infrastructures.eu, | will try to configure a
dump and backup of the mdstore isti, anyway | can see recent update to the mongo data on backend-openportal but there are no new files on the isti
mongo data on nodeb.t.openaire since 2019.

#6 - Jan 11, 2021 08:10 PM - Tommaso Piccioli

OK, info about mongo mdstore_isti data on this ticket are no longer valid, all the system is running on portal-openportal.isti.cnr.it and
backend-openportal.isti.cnr.it after the migration on the ISTI servers.
#7 - Jan 11, 2021 08:11 PM - Tommaso Piccioli

- Status changed from In Progress to Feedback

#8 - Jan 12, 2021 09:06 AM - Michele Artini

The backup of mongo is not a priority.
The priority is to backup the following mysqgl databases:

isti_affiliations
isti_affiliations_beta
op_beta_joomla
op_ismar_joomla
op_prod_joomla

#9 - Jan 12, 2021 09:36 AM - Tommaso Piccioli

Every morning there is a sql dump just after 6 and a file system backup (including the dump) just after 8. In the meantime there is a file system
backup of the portal VM too.

Anyway could @michele.artini@isti.cnr.it make clear if this portal needs Mongo on node5.t.openaire or not?

#10 - Jan 12, 2021 09:40 AM - Michele Artini

The mongo used by this infrastructures is only on backend.openportal.isti.cnr.it.

#11 - Jan 12, 2021 06:14 PM - Tommaso Piccioli
- Status changed from Feedback to Closed
